moFeedMixersConfig = {};

function moFeedMixersConfig:onStartMission()
	moFeedMixers:load();
end;

function moFeedMixersConfig:defaultValues()
	moFeedMixers.values = {feedmixers={}, updateTimer=60, msec=false};
end;

function moFeedMixersConfig:loadXml(self, Xml, xmlNameTag, file, isSaveGameIndex)
	if moFeedMixers.values == nil then moFeedMixersConfig:defaultValues();end;
	local groupNameTag = (xmlNameTag.. ".module.feedmixerss(%d)"):format(0);
	if getXMLBool(Xml, groupNameTag.. "#mSecTimer") ~= nil then
		moFeedMixers.values.msec = getXMLBool(Xml, groupNameTag.. "#mSecTimer");
	end;
	if getXMLInt(Xml, groupNameTag.. "#updateTimer") then
		moFeedMixers.values.updateTimer = getXMLInt(Xml, groupNameTag.. "#updateTimer");
	end;
end;

function moFeedMixersConfig:saveXml(self, Xml, xmlNameTag)
	if moFeedMixers.values == nil then moFeedMixersConfig:defaultValues();end;
	----------------------------------------------------------------------------------------------
	local groupNameTag = (xmlNameTag.. ".module.feedmixers(%d)"):format(0);
	setXMLInt(Xml, groupNameTag.. "#updateTimer", moFeedMixers.values.updateTimer);
	setXMLBool(Xml, groupNameTag.. "#mSecTimer", moFeedMixers.values.msec);
	----------------------------------------------------------------------------------------------	
end;

function moFeedMixersConfig.onSaveCallback()
	moSetGetClientSettings:saveConfig(self);
end;